cURL
curl -X GET "https://app.cotool.ai/api/agents/:agentId/feedback-metrics" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/agents/{agentId}/feedback-metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/agents/{agentId}/feedback-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/agents/{agentId}/feedback-metrics")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/feedback-metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avgScore7d": 123,
"avgScore30d": 123,
"upRate7d": 123,
"upRate30d": 123,
"total7d": 123,
"total30d": 123,
"series30d": [
{
"date": "<string>",
"avgScore": 123,
"upRate": 123,
"count": 123
}
],
"avgScoreAllTime": 123,
"upRateAllTime": 123,
"totalAllTime": 123,
"byPrompt": [
{
"agentVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "active",
"avgScoreAllTime": 123,
"upRateAllTime": 123,
"totalAllTime": 123,
"avgScore7d": 123,
"upRate7d": 123,
"total7d": 123,
"avgScore30d": 123,
"upRate30d": 123,
"total30d": 123
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Agent Runs
Get detailed feedback metrics for an agent
Retrieves comprehensive feedback metrics for a single agent including time-series data, per-prompt breakdown (optional), and all-time statistics
GET
/
api
/
agents
/
{agentId}
/
feedback-metrics
cURL
curl -X GET "https://app.cotool.ai/api/agents/:agentId/feedback-metrics" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/agents/{agentId}/feedback-metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/agents/{agentId}/feedback-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/agents/{agentId}/feedback-metrics")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/feedback-metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avgScore7d": 123,
"avgScore30d": 123,
"upRate7d": 123,
"upRate30d": 123,
"total7d": 123,
"total30d": 123,
"series30d": [
{
"date": "<string>",
"avgScore": 123,
"upRate": 123,
"count": 123
}
],
"avgScoreAllTime": 123,
"upRateAllTime": 123,
"totalAllTime": 123,
"byPrompt": [
{
"agentVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"status": "active",
"avgScoreAllTime": 123,
"upRateAllTime": 123,
"totalAllTime": 123,
"avgScore7d": 123,
"upRate7d": 123,
"total7d": 123,
"avgScore30d": 123,
"upRate30d": 123,
"total30d": 123
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Query Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I